# http://github.com/golang/mock
# Exclude dummy package from Requires
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(a\\)$

%global goipath         github.com/golang/mock
%global commit          58cd061d09382b6011f84c1291ebe50ef2e25bab
%global goreqflags      -t mockgen/tests
# Run tests in check section
%bcond_without check

%gometa

Name:           golang-googlecode-gomock
Version:        0
Release:        %mkrel 0.3
Summary:        Mocking framework for the Go
Group:          Development/Other
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
GoMock is a mocking framework for the [Go programming language][golang].
It integrates well with Go's built-in `testing` package,
but can be used in other contexts too.

%package -n %{goname}-devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(golang.org/x/net/context)

Obsoletes:     golang-github-golang-mock-devel

%description -n %{goname}-devel
GoMock is a mocking framework for the [Go programming language][golang].
It integrates well with Go's built-in `testing` package,
but can be used in other contexts too.

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgesetup
%goprep

%build
%gobuild -o _bin/mockgen %{goipath}/mockgen

%install
%goinstall
install -Dpm 0755 _bin/mockgen %{buildroot}%{_bindir}/mockgen

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%{_bindir}/mockgen

%files -n %{goname}-devel -f devel.file-list
%license LICENSE
%doc README.md AUTHORS CONTRIBUTORS



%changelog
* Mon Jun 15 2020 joequant <joequant> 0-0.3.mga8
+ Revision: 1593312
- use new go macros
- remove dummy import

* Fri Feb 14 2020 umeabot <umeabot> 0-0.2.mga8
+ Revision: 1520313
- Mageia 8 Mass Rebuild

* Mon Nov 19 2018 pterjan <pterjan> 0-0.1.20181118git58cd061.mga7
+ Revision: 1331685
- Add Group
- imported package golang-googlecode-gomock

